<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class LocationDetails 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var null|string $name location name*/
    public ?string $name = null;
    /** @var null|string $address location address*/
    public ?string $address = null;
    /** @var string[]|null $businessType */
    public ?array $businessType = null;
    /** @var null|string $phone Business phone*/
    public ?string $phone = null;
    /** @var null|string $fax Business fax*/
    public ?string $fax = null;
    /** @var null|string $email Business Email*/
    public ?string $email = null;
    /** @var null|string $website Business website*/
    public ?string $website = null;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  null|string  $name location name
     * @param  null|string  $address location address
     * @param  string[]|null  $businessType 
     * @param  null|string  $phone Business phone
     * @param  null|string  $fax Business fax
     * @param  null|string  $email Business Email
     * @param  null|string  $website Business website
     */
    public function __construct(string $id, ?string $name, ?string $address, ?array $businessType, ?string $phone, ?string $fax, ?string $email, ?string $website)
    {
        $this->id = $id;
        $this->name = $name;
        $this->address = $address;
        $this->businessType = $businessType;
        $this->phone = $phone;
        $this->fax = $fax;
        $this->email = $email;
        $this->website = $website;
    }
    

}