<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Request;
        
class GetAllTicketsRequest 
{
    /** @var null|\Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters */
    public ?\Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters = null;
    /** @var null|\Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination */
    public ?\Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters  $filters 
     * @param  null|\Bushelpowered\Api\Fulfillment\Common\V1\Pagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Fulfillment\Ticket\V1\Common\Filters $filters, ?\Bushelpowered\Api\Fulfillment\Common\V1\Pagination $pagination)
    {
        $this->filters = $filters;
        $this->pagination = $pagination;
    }
    

}