<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Response;
        
class RemarkResponse 
{
    /** @var string $code */
    public string $code;
    /** @var string $displayName */
    public string $displayName;
    /** @var null|float $value */
    public ?float $value = null;

    /**
     * @param  string  $code 
     * @param  string  $displayName 
     * @param  null|float  $value 
     */
    public function __construct(string $code, string $displayName, ?float $value)
    {
        $this->code = $code;
        $this->displayName = $displayName;
        $this->value = $value;
    }
    

}