<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Request;
        
class GetAccountsForUserRequest 
{
    /** @var string[]|null $ids Filter by account id identifiers*/
    public ?array $ids = null;
    /** @var string[]|null $tenantIds Filter by tenant id identifiers*/
    public ?array $tenantIds = null;

    /**
     * @param  string[]|null  $ids Filter by account id identifiers
     * @param  string[]|null  $tenantIds Filter by tenant id identifiers
     */
    public function __construct(?array $ids, ?array $tenantIds)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
    }
    

}