<?php
namespace Bushelpowered\Api\Quoting\V1\Request;
        
class StaffUpsertServiceRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType */
    public \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType;
    /** @var string $description */
    public string $description;
    /** @var null|float $amount */
    public ?float $amount = null;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ServiceType  $serviceType 
     * @param  string  $description 
     * @param  null|float  $amount 
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\ServiceType $serviceType, string $description, ?float $amount)
    {
        $this->id = $id;
        $this->serviceType = $serviceType;
        $this->description = $description;
        $this->amount = $amount;
    }
    

}