<?php
namespace Bushelpowered\Api\Aggregator\Iam\V1\Response;
        
class StaffRoleBinding 
{
    /** @var string $roleId */
    public string $roleId;
    /** @var string $roleName The name of the role*/
    public string $roleName;
    /** @var null|string $roleDescription The description of the role.*/
    public ?string $roleDescription = null;
    /** @var \Bushelpowered\Api\Aggregator\Iam\V1\Response\RoleBindingResource $roleBindingResource */
    public \Bushelpowered\Api\Aggregator\Iam\V1\Response\RoleBindingResource $roleBindingResource;

    /**
     * @param  string  $roleId 
     * @param  string  $roleName The name of the role
     * @param  null|string  $roleDescription The description of the role.
     * @param  \Bushelpowered\Api\Aggregator\Iam\V1\Response\RoleBindingResource  $roleBindingResource 
     */
    public function __construct(string $roleId, string $roleName, ?string $roleDescription, \Bushelpowered\Api\Aggregator\Iam\V1\Response\RoleBindingResource $roleBindingResource)
    {
        $this->roleId = $roleId;
        $this->roleName = $roleName;
        $this->roleDescription = $roleDescription;
        $this->roleBindingResource = $roleBindingResource;
    }
    

}